> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Put-through information

> Get put-through (deal/negotiated) trading information.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /tartarus/v1/putThroughSnaps
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /tartarus/v1/putThroughSnaps:
    get:
      summary: Put-through information
      description: Get put-through (deal/negotiated) trading information.
      parameters:
        - name: floor
          in: query
          required: false
          description: 'Stock basket: 1 = HOSE, 2 = HNX, 3 = Upcom.'
          schema:
            $ref: '#/components/schemas/MarketFloor'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  buyAdv[].symbol:
                    type: string
                    description: Stock symbol.
                  buyAdv[].price:
                    type: number
                    format: double
                    description: Price.
                  buyAdv[].vol:
                    type: number
                    format: double
                    description: Volume.
                  buyAdv[].time:
                    type: string
                    description: Time.
                  buyAdv[].side:
                    type: string
                    description: Side (B = Buy).
                  sellAdv[].symbol:
                    type: string
                    description: Stock symbol.
                  sellAdv[].price:
                    type: number
                    format: double
                    description: Price.
                  sellAdv[].vol:
                    type: number
                    format: double
                    description: Volume.
                  sellAdv[].side:
                    type: string
                    description: Side (S = Sell).
                  match[].symbol:
                    type: string
                    description: Stock symbol.
                  match[].price:
                    type: number
                    format: double
                    description: Matched price.
                  match[].vol:
                    type: number
                    format: double
                    description: Matched volume.
                  match[].val:
                    type: number
                    format: double
                    description: Value.
                  match[].time:
                    type: string
                    description: Match time.
                  match[].accumulatedValue:
                    type: number
                    format: double
                    description: Accumulated value.
components:
  schemas:
    MarketFloor:
      type: string
      description: 'Rổ chứng khoán: 1 = HOSE, 2 = HNX, 3 = Upcom.'
      enum:
        - '1'
        - '2'
        - '3'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.